#
# spec file for package shadow (Version 4.0.2)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openldap2-client openldap2-devel openssl
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip heimdal-lib kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         shadow
Copyright:    BSD;GPL
Group:        System/Base
Autoreqprov:  on
Version:      4.0.2
Release:      88
Summary:      Shadow password suite
Source:       shadow-%{version}.tar.bz2
Source1:      pam_login-3.6.tar.bz2
Source2:      passwd.pamd
Source3:      chsh.pamd
Source4:      chfn.pamd
Source5:      chage.pamd
Source6:      useradd.pamd
Source7:      shadow.pamd
Source8:      pwdutils-1.91.tar.bz2
Patch:        shadow-%{version}.dif
Patch1:       pwdutils-1.91.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The shadow package includes the necessary programs for login on a
console, converting plain password files to the shadow password format
and programs for managing user and group accounts.The pwck command 
checks the integrity of password and shadow files. The lastlog command
prints out the last login times for all users. The useradd, userdel and usermod commands are used for managing user accounts. The groupadd, groupdel and groupmod commands are used for managing group accounts.

SuSE series: a

%prep
%setup -q -b 1 -b 8
%patch
cd $RPM_BUILD_DIR
cd pwdutils-*
%patch1

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
	./configure --with-libpam --prefix=/usr \
	--enable-shadowgrp --disable-shared --mandir=%{_mandir} \
	%{_target_cpu}-suse-linux
make
cd ../pam_login-*
CFLAGS="$RPM_OPT_FLAGS -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
	./configure %{_target_cpu}-suse-linux
cd ../pwdutils-*
CFLAGS="$RPM_OPT_FLAGS -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
        ./configure %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install etc/login.defs.linux $RPM_BUILD_ROOT/etc/login.defs
mkdir -p $RPM_BUILD_ROOT/etc/default
install -m 644 etc/useradd $RPM_BUILD_ROOT/etc/default/useradd
cd ../pam_login-*
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 etc/login.pamd $RPM_BUILD_ROOT/etc/pam.d/login
cd ../pwdutils-*
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 $RPM_SOURCE_DIR/passwd.pamd $RPM_BUILD_ROOT/etc/pam.d/passwd
install -m 644 $RPM_SOURCE_DIR/chfn.pamd $RPM_BUILD_ROOT/etc/pam.d/chfn
install -m 644 $RPM_SOURCE_DIR/chsh.pamd $RPM_BUILD_ROOT/etc/pam.d/chsh
install -m 644 $RPM_SOURCE_DIR/chage.pamd $RPM_BUILD_ROOT/etc/pam.d/chage
install -m 644 $RPM_SOURCE_DIR/useradd.pamd $RPM_BUILD_ROOT/etc/pam.d/useradd
install -m 644 $RPM_SOURCE_DIR/shadow.pamd $RPM_BUILD_ROOT/etc/pam.d/shadow

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/HOWTO doc/README doc/WISHLIST doc/README.linux NEWS
%config /etc/login.defs
%config /etc/pam.d/*
%config(noreplace) /etc/default/useradd
/bin/*
/usr/bin/*
%doc %{_mandir}/man?/*
/usr/sbin/*
/usr/share/locale/*/LC_MESSAGES/shadow.mo
/usr/share/locale/*/LC_MESSAGES/pwdutils.mo

%changelog -n shadow
* Thu Apr 25 2002 - kukuk@suse.de
- passwd/chsh/chfn raises the limits and ignores some signals to
  prevent /etc/shadow or /etc/passwd corruption.
* Mon Feb 18 2002 - kukuk@suse.de
- Update to shadow 4.0.2 (mainly fixed translations)
- Add correct manual pages for chfn and chsh
* Fri Jan 25 2002 - kukuk@suse.de
- Update pam_login to 3.6 (fix Ctrl-\ bug killing login)
- Update pwdutils to 1.91 (major bug fixes for chfn/chsh)
* Tue Jan 22 2002 - kukuk@suse.de
- Use chfn,chsh and passwd from pwdutils package (with NIS and LDAP
  support)
* Tue Jan 08 2002 - kukuk@suse.de
- Fix .so reference in vigr.8/sg.1 manual pages
* Mon Jan 07 2002 - kukuk@suse.de
- correct vigr/vipw links
* Sun Jan 06 2002 - kukuk@suse.de
- Update to pam_login 3.5 (-r option added)
- Update to shadow 4.0.1
- add more 32bit uid/gid fixes
* Sat Jan 05 2002 - kukuk@suse.de
- Enable PAM for all applications
* Fri Jan 04 2002 - kukuk@suse.de
- Correct fix for install-hook
* Fri Jan 04 2002 - kukuk@suse.de
- Update to CVS snapshot from 22.12.2001
* Fri Jan 04 2002 - kukuk@suse.de
- Add -r option to useradd to be LSB conform
- Add -r option to groupadd to be compatible with useradd
- Increase GID_MIN to 500.
* Thu Nov 15 2001 - kukuk@suse.de
- Fix some compiler warnigs (partial [Bug #12274])
* Thu Nov 08 2001 - kukuk@suse.de
- Fix .so reference in manual pages
* Thu Nov 08 2001 - kukuk@suse.de
- Disable PAM for standard sysadmin utilities
- Make newusers 32bit UID clean
* Tue Oct 30 2001 - kukuk@suse.de
- Update to shadow 4.0.0, many new features, all tools are now
  PAM aware
- Add grpconv/grpunconv to filelist [Bug #5404]
- Update pam_login to 3.4 (uses reentrant functions)
* Thu Oct 11 2001 - kukuk@suse.de
- Fix problem with login that pam modules could overwrite user data
* Thu Oct 04 2001 - schwab@suse.de
- Fix for automake 1.5.
* Tue Sep 11 2001 - kukuk@suse.de
- Fix bug where group entries are truncated if the line is longer
  then 4096 bytes.
* Mon Sep 03 2001 - kukuk@suse.de
- Use LFS to support 32bit UIDs
- Fix a lot of bugs vs. 32bit support
* Tue Aug 14 2001 - kukuk@suse.de
- Remove absolute paths from login config file for PAM
* Mon Jul 30 2001 - kukuk@suse.de
- Move default/useradd from aaa_base into this package
- Use real defaults for default/useradd [Bug #9366]
- Mark as config/noreplace
* Mon Jun 04 2001 - kukuk@suse.de
- Fix to compile with new tools
* Fri May 11 2001 - schwab@suse.de
- Fix missing declarations.
* Sun Apr 29 2001 - kukuk@suse.de
- Add UMASK back to /etc/login.defs [Bug #7383]
* Sat Apr 21 2001 - kukuk@suse.de
- Fix flushing of nscd cache to work on all plattforms
* Thu Apr 12 2001 - kukuk@suse.de
- Call gettextize
* Thu Apr 12 2001 - kukuk@suse.de
- Add vigr [Bug #6926]
- Disable at first workarounds for ash [Bug #6928]
- Add uggly workaround for new gettext
* Wed Mar 28 2001 - kukuk@suse.de
- Remove parts of pam_login 3.2 fixes (contains race conditions)
* Sat Mar 24 2001 - kukuk@suse.de
- pam_login: Update to version 3.2
* Sat Feb 03 2001 - violiet@suse.de
- added Japanese and Korean message file.
* Tue Dec 05 2000 - kukuk@suse.de
- set min. UID for new user to 500.
- Remove 16bit ID patches to allow 32bit UIDs and GIDs
* Thu Sep 14 2000 - kukuk@suse.de
- pam_login: Add new login.defs variable
* Wed Sep 13 2000 - kukuk@suse.de
- Fix version string in spec file
- Remove more obsolete man pages
* Wed Sep 13 2000 - ro@suse.de
- removed su-manpage: is in sh_utils
* Tue Sep 12 2000 - kukuk@suse.de
- Update to shadow-20000902
- Use buildroot
* Sat Jul 15 2000 - kukuk@suse.de
- Disable pam_homecheck from pam login config file
* Fri May 05 2000 - kukuk@suse.de
- Add pam_homecheck to login pam config file
* Fri Apr 14 2000 - kukuk@suse.de
- Update pam_login to 3.1.1
* Sun Apr 02 2000 - bk@suse.de
- replaced config.{guess,sub} patches with config update macro (s390)
* Thu Feb 03 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Fri Jan 21 2000 - kukuk@suse.de
- Add missing login.defs entries to pam_login
* Mon Jan 17 2000 - kukuk@suse.de
- Fix typo on pam config files
* Mon Jan 17 2000 - kukuk@suse.de
- pam_login: Update to 3.1
- shadow: Update pam config files, login.defs and manual page
- Move /usr/man to /usr/share/man
* Tue Oct 26 1999 - kukuk@suse.de
- login.defs: Remove unsupported PASS_MIN_LEN/PASS_MAX_LEN
* Sat Oct 23 1999 - kukuk@suse.de
- shadow: Add expiry.1 manual page
- shadow: Add fixes from current development (BUG#663)
- shadow/chage: Don't need to be suid root any longer
* Mon Oct 11 1999 - kukuk@suse.de
- Upgrade to pam_login 3.0
- Clear nscd cache after changes on passwd/group
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Sep 11 1999 - kukuk@suse.de
- Implement LOG_UNKFAIL_ENAB option
- login: Show tty name if we don't have a hostname
* Mon Sep 06 1999 - kukuk@suse.de
- login: set USER env. variable
* Fri Sep 03 1999 - kukuk@suse.de
- Update to shadow 19990827
- Add LOGIN_RETRIES and LOGIN_TIMEOUT to login
- Specfile cleanup
* Mon Jul 12 1999 - kukuk@suse.de
- Update to shadow 19990709
* Tue Jul 06 1999 - kukuk@suse.de
- login.pamd: put pam_securtty after pam_unix
- shadow: Add patches from Thomas Biege
* Wed Jun 30 1999 - kukuk@suse.de
- Include PAM patch for chfn
* Sun Jun 27 1999 - kukuk@suse.de
- Fix filelist
- Fix nullok parameters in *.pamd
* Fri Jun 25 1999 - kukuk@suse.de
- Finish pam_login 2.9s
* Mon Jun 21 1999 - kukuk@suse.de
- Patch shadow chfn/chsh to use PAM
* Tue Jun 15 1999 - kukuk@suse.de
- login: Implement FAIL_DELAY, fix pam.d/login config file
- Update shadow to 19990607
* Fri Jun 04 1999 - kukuk@suse.de
- Add login-2.9s.tar.gz
- Use PAM
* Tue Mar 09 1999 - ro@suse.de
- removed "-pipe" : yields problems
* Mon Feb 01 1999 - ro@suse.de
- changed check for libcrypt in Makefile.Linux
  to match on alpha as well
* Thu Jan 14 1999 - florian@suse.de
- add vipw with man-page to the filelist
* Sat Dec 05 1998 - bs@suse.de
- set PASS_MIN_DAYS to 0 in /etc/login.defs (10000 also means 0 but
  confuses the user).
* Mon Nov 23 1998 - ro@suse.de
- check if size of login.defs > 0
* Tue Oct 06 1998 - ro@suse.de
- re-added login.defs
* Tue Sep 29 1998 - ro@suse.de
- re-activated newgrp, chfn, chsh et. al. / removed no-suid
* Wed Sep 09 1998 - ro@suse.de
- added /usr/bin/no-suid to file-list
* Mon Aug 31 1998 - ro@suse.de
- upgrade to shadow-980724 with jurix-diff
- mkpasswd is no longer included (was broken anyway)
- sg is disabled / resides in usr/bin
- faillog and lastlog reside in usr/bin
- pw_auth.3 and pwauth.8 are no longer installed
- check for libcrypt when linking login
* Tue Feb 17 1998 - ro@suse.de
- added installation of pwconv and pwconv.8 to Makefile.Linux
* Fri Feb 13 1998 - bs@suse.de
- took pwconv into file list.
* Thu Aug 21 1997 - bs@suse.de
- disabled ULIMIT in /etc/login.defs
* Tue Jun 03 1997 - bs@suse.de
- switched to /etc/nologin in etc/login.defs
* Fri May 16 1997 - bs@suse.de
- removed /etc/login.defs.new -> /etc/login.defs behavior, since is not
  neded for rpm.
* Thu Jan 02 1997 - bs@suse.de
- login: fixed "*" as passwd. ("*" didn't lead to a lookup in shadow)
* Thu Jan 02 1997 - florian@suse.de
- completely new version
- disable the CONSOLE line in /etc/login.defs if you want to allow
  root login from any device
- useradd has a range of uids for new users. Please see /etc/login.defs
  and the man-pages for more information.
- completely new version
* Thu Jan 02 1997 - bs@suse.de
  moved configuration files to aaa_base.tgz
